/*
 * Steganography utility to hide messages into cover files
 * Author: Samir Vaidya (mailto:syvaidya@gmail.com)
 * Copyright (c) 2007-2008 Samir Vaidya
 */

package net.sourceforge.openstego.ui;

import javax.swing.JPanel;

import net.sourceforge.openstego.*;

/**
 * Abstract class for GUI for OpenStego plugin for "Embed" action
 */
public abstract class PluginEmbedOptionsUI extends JPanel
{
    /**
     * Method to validate plugin options for "Embed" action
     * @return Boolean indicating whether validation was successful or not
     * @throws OpenStegoException
     */
    public abstract boolean validateEmbedAction() throws OpenStegoException;

    /**
     * Method to populate the plugin GUI options based on the config data
     * @param config OpenStego configuration data
     * @throws OpenStegoException
     */
    public abstract void setGUIFromConfig(OpenStegoConfig config) throws OpenStegoException;

    /**
     * Method to populate the config object based on the GUI data
     * @param config OpenStego configuration data
     * @throws OpenStegoException
     */
    public abstract void setConfigFromGUI(OpenStegoConfig config) throws OpenStegoException;
}
